Skip to main content
GET
/
virtual-wallets
/
virtual-balances
curl -X GET "https://api.cryptomate.me/virtual-wallets/virtual-balances?blockchain=POLYGON" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "name": "USD Coin",
    "symbol": "USDC",
    "balance": 1500.50,
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
  }
]
Retrieves balances for all virtual wallets on the specified blockchain. Solana is not supported. Requires an API key with access level 1 or higher.

Query parameters

blockchain
string
required
Blockchain to filter balances. One of ETHEREUM, POLYGON, BSC, ARBITRUM, OPTIMISM, BASE, AVALANCHE.

Response

Returns an array of balance objects.
name
string
Token name.
symbol
string
Token symbol.
balance
number
Current balance amount.
token_address
string
Smart contract address of the token.
curl -X GET "https://api.cryptomate.me/virtual-wallets/virtual-balances?blockchain=POLYGON" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "name": "USD Coin",
    "symbol": "USDC",
    "balance": 1500.50,
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
  }
]